---
title: StorageEstimate.usage
slug: Web/API/StorageEstimate/usage
tags:
  - API
  - Reference
  - Secure context
  - Storage
  - Storage API
  - StorageEstimate
  - Usage
---
<div>{{securecontext_header}}{{APIRef("Storage")}}</div>

<p>The {{domxref("StorageEstimate")}} dictionary's <strong><code>usage</code></strong> property is a conservative approximation of how much storage is allotted to the origin or Web app that called {{domxref("StorageManager.estimate()")}}; there may be more space available, but there will not be less. The value is an estimate because the {{Glossary("user agent")}} may use compression, duplication prevention techniques, and other methods to improve storage efficiency.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>usage</em> = <em>StorageEstimate</em>.usage;
</pre>

<h3 id="Value">Value</h3>

<p>A numeric value specifying an approximation of the total amount of storage space available for use by the application.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/StorageManager/estimate", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Storage', '#dom-storageestimate-usage', 'usage')}}</td>
   <td>{{Spec2('Storage')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StorageEstimate.usage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Storage_API">Storage API</a></li>
 <li>{{domxref("Navigator")}}</li>
 <li>{{domxref("StorageManager")}}</li>
 <li>{{domxref("StorageEstimate")}}</li>
 <li>{{domxref("StorageEstimate.quota")}}</li>
</ul>
